// nova-tourism/components/goods-list/index.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    list: {
      type: Array,
      default: []
    },
    mode: {
      type: String,
      default: 'vertical'
    },
    navigateBtn: {
      type: String,
      default: '立即预订'
    },
    btnModel:{
      type: String,
      default: ''
    },
    activeColor:{
      type: String,
      value: ''
    },
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    toDetail(e) {
      let item = e.currentTarget.dataset.item
      console.log(item)
      this.triggerEvent('toDetail', { id: item.objectId })
    },
    btnTap(e){
      let item = e.currentTarget.dataset.item
      console.log(item)
      this.triggerEvent('btnTap', { id: item.objectId })
    }
  }
})
